<template>
  <div class="form-container p-4">
    <div class="form-head d-flex align-items-center">
      <img src="@/assets/img/profile-img.png" alt="Profile Image" />
      <div class="ms-3">
        <h4 class="fw-bold">Welcome back</h4>
        <h6 class="fw-bold">{{ currentUser.name }}</h6>
      </div>
    </div>
    <div class="progress my-4" style="height: 3px">
      <div
        class="progress-bar bg-primary"
        role="progressbar"
        style="width: 45%"
      ></div>
    </div>
    <div class="form-meta mb-3">
      <h4 class="fw-bold">Verify OTP</h4>
    </div>
    <form @submit.prevent="submitForm()">
      <div class="form-group">
        <div class="form-input mb-3">
          <label for="formOTP">OTP</label>
          <input
            id="formOTP"
            v-model="form.otp"
            v-validate="'required|integer'"
            type="text"
            class="form-control"
            placeholder="OTP"
            name="OTP"
          />
          <div v-show="verrors.has('OTP')" class="invalid-feedback">
            {{ verrors.first('OTP') }}
          </div>
        </div>
        <div class="form-input mb-3">
          <label for="formPhoneNumber">Phone Number</label>
          <input
            id="formPhoneNumber"
            v-model="form.phoneNumber"
            v-validate="'required|integer'"
            type="text"
            class="form-control"
            placeholder="Phone Number"
            name="Phone Number"
          />
          <div v-show="verrors.has('Phone Number')" class="invalid-feedback">
            {{ verrors.first('Phone Number') }}
          </div>
        </div>
      </div>
      <!-- <div class="form-group">
        <div class="form-input">
          <label for="formPassword">Password</label>
          <input
            id="formPassword"
            v-model="form.password"
            v-validate="'required|min:6'"
            type="password"
            class="form-control"
            placeholder="Password"
            name="password"
          />
          <div v-show="verrors.has('password')" class="invalid-feedback">
            {{ verrors.first('password') }}
          </div>
        </div>
      </div> -->
      <div class="form-actions mt-4 d-block text-end">
        <a
          href="/auth/forgot-password"
          class="text-primary text-decoration-none fw-bold text-end ml-auto"
        >
          <span> Forgot Password </span>
        </a>
      </div>
      <div class="mt-5">
        <vs-button type="submit" circle block :loading="form.active">
          Submit
        </vs-button>
      </div>
      <div class="form-actions mt-4 d-block">
        <a
          href="/auth/open-account/bvn-verification"
          class="text-primary text-decoration-none fw-bold text-end ml-auto"
        >
          <span class="text-dark"> New here</span>
          <span class="text-primary"> Create new account </span>
        </a>
      </div>
    </form>
  </div>
</template>

<script>
export default {
  layout: 'auth',
  middleware: 'auth-pages',
  data: () => ({
    currentUser: { name: 'User' },
    active: false,
    form: {
      active: false,
      email: '',
      password: '',
      loading: false,
    },
  }),
  methods: {
    openNotification(position = null, color, message) {
      this.$vs.notification({
        progress: 'auto',
        color,
        position,
        title: message,
        text: '',
      })
    },
    submitForm() {
      this.$validator.validateAll().then((result) => {
        if (result) {
          this.form.active = true
          const data = {
            ...this.form,
          }
          this.$axios
            .post('/auth/verify-otp', data)
            .then(({ data }) => {
              console.log(data)
              this.form.active = false
              this.openNotification('top-left', 'success', data.message)
              this.$router.push('/auth/reset-password')
            })
            .catch((error) => {
              this.form.active = false
              if (
                error.response.status === 404 ||
                error.response.status === 400 ||
                error.response.status === 401 ||
                error.response.status === 403 ||
                error.response.status === 406
              ) {
                // console.log(error.response.data.message)
                this.openNotification(
                  'top-left',
                  'danger',
                  error.response.data.message
                )
              }
            })
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
